	// ------------------------------------------------------------------------------
	//  <autogenerated>
	//      This code was generated by a tool.
	//      Mono Runtime Version: 4.0.30319.1
	// 
	//      Changes to this file may cause incorrect behavior and will be lost if 
	//      the code is regenerated.
	//  </autogenerated>
	// ------------------------------------------------------------------------------
	using UnityEngine;
	using System.Collections;
	using System.Runtime.InteropServices;
	using KTPlaySDKJson;


	public class KTPlayCallbackParams
	{
		private const string KEY_WHAT = "what";
		private const string KEY_PARAMS = "params";
		private const string KEY_REWARD_NAME = "name";
		private const string KEY_REWARD_TYPE = "typeId";
		private const string KEY_REWARD_VALUE = "value";
		
		public enum KTPlayEvent
		{
			/// <summary>
			///   打开KTPlay主窗口事件
			/// </summary>
			OnAppear = 0,
			/// <summary>
			///   关闭KTPlay主窗口事件
			/// </summary>
			OnDisappear,
			/// <summary>
			///   收到奖励事件
			/// </summary>
			OnDispatchRewards,
			/// <summary>
			///   收到新动态事件
			/// </summary>
			OnActivityStatusChanged,
			/// <summary>
			///   KTPlay 是否可用状态改版事件
			/// </summary>
			OnAvailabilityChanged,
			/// <summary>
			///   收到深度链接事件
			/// </summary>
			OnDeepLink,
			/// <summary>
			///   插屏通知回调
			/// </summary>
			OnInterstitialShow,
			/// <summary>
			///   声音播放回调
			/// </summary>
			OnSoundStart,
			/// <summary>
			///   声音停止回调
			/// </summary>
			OnSoundStop,
		};
		

		public KTPlayEvent KTPlayEventResult;
		public KTPlayReward reward;
		public bool hasNewActivity = false;
		public bool isEnabled = false;
		public string linkScheme = null;
		public KTPlay.KTInterstialNotificationEvent interstialNotificationEvent = KTPlay.KTInterstialNotificationEvent.InterstitialNotificationUnknown;
		public string interstitialID;
		
		public KTError playError = null;
		
		public void ParseFromString(string s)
		{
			Hashtable data = (Hashtable)KTJSON.jsonDecode(s);
			this.reward = null;
			
			if(data[KEY_WHAT] != null)
			{
				this.KTPlayEventResult = (KTPlayEvent)((double)data[KEY_WHAT]);
				switch(this.KTPlayEventResult)
				{
					case KTPlayEvent.OnAppear: break;
					case KTPlayEvent.OnDisappear: break;
					case KTPlayEvent.OnSoundStart: break;
					case KTPlayEvent.OnSoundStop: break;
					case KTPlayEvent.OnDispatchRewards:
					{
						Hashtable param = (Hashtable)data[KEY_PARAMS];
						reward = new KTPlayReward ();
						reward.gameUserId = (string)param["gameUserId"];
						reward.messageId = (string)param["messageId"];
						reward.ktUserId = (string)param["ktUserId"];
						ArrayList list =(ArrayList) param["items"];
						reward.items = new ArrayList();
						foreach (IDictionary item in list)
						{
							KTPlayRewardsItem rewardItem = new KTPlayRewardsItem();
							if(item[KEY_REWARD_NAME] != null)
								rewardItem.name = (string)item[KEY_REWARD_NAME];
							if(item[KEY_REWARD_TYPE] != null)
								rewardItem.typeId =  (string)item[KEY_REWARD_TYPE];
							if(item[KEY_REWARD_VALUE] != null)
								rewardItem.value = (double)item[KEY_REWARD_VALUE];
								reward.items.Add(rewardItem);
						}
					} break;
					case KTPlayEvent.OnActivityStatusChanged:
					{
						Hashtable param = (Hashtable)data[KEY_PARAMS];
						if((bool)param["hasNewActivity"] == true)
						{
							hasNewActivity = true;
						}
						else
						{
							hasNewActivity = false;
						}
					} break;
					case KTPlayEvent.OnAvailabilityChanged:
					{
						Hashtable param = (Hashtable)data[KEY_PARAMS];
						if((bool)param["isEnabled"] == true)
						{
							isEnabled = true;
						}
						else
						{
							isEnabled = false;
						}
					} break;
					case KTPlayEvent.OnDeepLink:
					{
						Hashtable param = (Hashtable)data[KEY_PARAMS];
						if(param["linkScheme"] != null)
						{
							linkScheme = (string)param["linkScheme"];
						}
						else
						{
							linkScheme = null;
						}
					} break;
					case KTPlayEvent.OnInterstitialShow:
					{
						Hashtable param = (Hashtable)data[KEY_PARAMS];
						
						if(param["identifier"] != null)
						{
							this.interstitialID = (string)(param["identifier"]);
						}
						if(param["notificationEvent"] != null)
						{
								this.interstialNotificationEvent = ( KTPlay.KTInterstialNotificationEvent)((double)param["notificationEvent"]);
						}
						else
						{
								interstialNotificationEvent = KTPlay.KTInterstialNotificationEvent.InterstitialNotificationUnknown;
						}
					} break;
				}
			}
		}
		
		public KTPlayCallbackParams(string s)
		{
			this.ParseFromString(s);
		}
	};
